cURL
curl --request POST \ --url https://sandbox.tight.com/v6/files/upload/{entityId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file='@example-file' \ --form 'data={ "description": "Q1 2024 invoice", "date": "2024-01-15", "entityId": "btxn_28868401", "notes": "Received from vendor on 2024-01-15", "amount": 15000, "customData": { "internal_key": "some_internal_key", "some_other_field": 23434 } }'
{ "result": "SUCCESS", "data": { "id": "fil_28868401", "entity": { "id": "btxn_28868401" }, "description": "Q1 2024 invoice", "notes": "Received from vendor on 2024-01-15", "url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf", "date": "2024-01-15", "amount": 15000, "status": "ACTIVE", "customData": { "internal_key": "some_internal_key", "some_other_field": 23434 } } }
Upload a file and associate it with an existing entity
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Bearer <token>
The id of the entity to associate the file with
Show child attributes
Success
The result of the action performed.
SUCCESS
FAILURE
The data generated by the action performed.